propellor-5.13: property-based host configuration management in haskell

Maintainer | 2016 Evan Cofsky <evan@theunixman.com>
Safe Haskell | None
Language | Haskell2010

Propellor.Property.FreeBSD.Poudriere

Description

FreeBSD Poudriere properties

# Documentation

poudriereConfigPath :: FilePath Source #

newtype PoudriereConfigured Source #

Constructors

PoudriereConfigured String |

#### Instances

Instances details

Show PoudriereConfigured Source # |
Instance details Defined in Propellor.Property.FreeBSD.Poudriere Methods showsPrec :: Int -> PoudriereConfigured -> ShowS show :: PoudriereConfigured -> String showList :: [PoudriereConfigured] -> ShowS
Semigroup PoudriereConfigured Source # |
Instance details Defined in Propellor.Property.FreeBSD.Poudriere Methods (<>) :: PoudriereConfigured -> PoudriereConfigured -> PoudriereConfigured # sconcat :: NonEmpty PoudriereConfigured -> PoudriereConfigured stimes :: Integral b => b -> PoudriereConfigured -> PoudriereConfigured
Monoid PoudriereConfigured Source # |
Instance details Defined in Propellor.Property.FreeBSD.Poudriere Methods mempty :: PoudriereConfigured # mappend :: PoudriereConfigured -> PoudriereConfigured -> PoudriereConfigured # mconcat :: [PoudriereConfigured] -> PoudriereConfigured #
IsInfo PoudriereConfigured Source # |
Instance details Defined in Propellor.Property.FreeBSD.Poudriere Methods propagateInfo :: PoudriereConfigured -> PropagateInfo Source #

poudriereConfigured :: PoudriereConfigured -> Bool Source #

setConfigured :: Property (HasInfo + FreeBSD) Source #

poudriere :: Poudriere -> Property (HasInfo + FreeBSD) Source #

poudriereCommand :: String -> [String] -> (String, [String]) Source #

runPoudriere :: String -> [String] -> IO [String] Source #

listJails :: IO [String] Source #

jailExists :: Jail -> IO Bool Source #

jail :: Jail -> Property FreeBSD Source #

data JailInfo Source #

Constructors

JailInfo String |

data Poudriere Source #

Constructors

Poudriere |

Fields

- _resolvConf :: String
- _freebsdHost :: String
- _baseFs :: String
- _usePortLint :: Bool
- _distFilesCache :: FilePath
- _svnHost :: String
- _zfs :: Maybe PoudriereZFS

#### Instances

Instances details

ToShellConfigLines Poudriere Source # |
Instance details Defined in Propellor.Property.FreeBSD.Poudriere Methods toAssoc :: Poudriere -> [(String, String)] Source # toLines :: Poudriere -> [ConfigLine] Source #

defaultConfig :: Poudriere Source #

data PoudriereZFS Source #

Constructors

PoudriereZFS ZFS ZFSProperties |

#### Instances

Instances details

ToShellConfigLines PoudriereZFS Source # |
Instance details Defined in Propellor.Property.FreeBSD.Poudriere Methods toAssoc :: PoudriereZFS -> [(String, String)] Source # toLines :: PoudriereZFS -> [ConfigLine] Source #

data Jail Source #

Constructors

Jail String FBSDVersion PoudriereArch |

data PoudriereArch Source #

Constructors

I386 |
AMD64 |

#### Instances

Instances details

Eq PoudriereArch Source # |
Instance details Defined in Propellor.Property.FreeBSD.Poudriere Methods (==) :: PoudriereArch -> PoudriereArch -> Bool (/=) :: PoudriereArch -> PoudriereArch -> Bool
ConfigurableValue PoudriereArch Source # |
Instance details Defined in Propellor.Property.FreeBSD.Poudriere Methods val :: PoudriereArch -> String Source #

fromArchitecture :: Architecture -> PoudriereArch Source #

yesNoProp :: Bool -> String Source #

type ConfigLine = String Source #

type ConfigFile = [ConfigLine] Source #

class ToShellConfigLines a where Source #

Minimal complete definition

toAssoc

Methods

toAssoc :: a -> [(String, String)] Source #

toLines :: a -> [ConfigLine] Source #

#### Instances

Instances details

ToShellConfigLines PoudriereZFS Source # |
Instance details Defined in Propellor.Property.FreeBSD.Poudriere Methods toAssoc :: PoudriereZFS -> [(String, String)] Source # toLines :: PoudriereZFS -> [ConfigLine] Source #
ToShellConfigLines Poudriere Source # |
Instance details Defined in Propellor.Property.FreeBSD.Poudriere Methods toAssoc :: Poudriere -> [(String, String)] Source # toLines :: Poudriere -> [ConfigLine] Source #

confFile :: FilePath Source #